(function (Drupal, drupalSettings) {
    Drupal.behaviors.mandatlyCookieCompliance = {
      attach: function (context, settings) {
        if (!context.querySelector('#mandatly-cookie-banner')) {
          var scriptUrl = drupalSettings.mandatly_cookie_compliance.scriptUrl;
          if (scriptUrl) {
            var script = document.createElement('script');
            script.src = scriptUrl;
            script.defer = true;
            script.id = 'mandatly-cookie-banner';
            document.body.appendChild(script);
          }
        }
      }
    };
  })(Drupal, drupalSettings);
